## ipython 0.13.1~rc3

=== debian/changelog ===
ipython (0.13.1~rc3-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release candidate, commit 5f1e6abdf63
  * refresh patches, drop applied except-shadows-builtin-fix.patch
  * depend on libjs-jquery >= 1.7 (Closes: #685986)
  * drop build depends on dh-linktree and libjs-jquery-ui (Closes: #685985)
    - needs to be added again when we can use the packaged jquery-ui
  * drop LC_ALL=C.UTF-8 from build and install, not required anymore
  * override dh_python[23] to work around #683108
  * build depend on libc-bin (>= 2.13-1~) for C.UTF-8 locale used in tests

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 16 Oct 2012 01:03:41 +0200

ipython (0.13-1) unstable; urgency=low

  * New upstream release
    No repackging necessary anymore, js sources available in external
    minified variants are not installed
  * refresh patches, drop upstream applied full-qt-imports 
  * add except-shadows-builtin-fix.patch
  * drop libjs-jquery-ui dependency, use the embedded development branch
  * don't compress the examples
  * remove executable permissions on embedded codemirror files
  * build with LC_ALL=C.UTF-8 to avoid a unicode issue in setupbase.py
  * remove generated doc images in clean
  * update copyright with new and removed files
  * remove unreachable Stephan Peijnik from uploaders
    thank you for your work

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 30 Jun 2012 15:05:32 +0200

ipython (0.12.1+dfsg-2) unstable; urgency=low

  * add ipython3-notebook package
  * move static notebook data to ipython-notebook-common
  * add ipython3 depend on python3-simplegeneric and remove the embedded copy
  * update use-system-mathjax-if-available.patch:
    prefer local mathjax installation over the system one
  * add parallel-2to3.patch:
    allow running 2to3 in parallel. Thanks to Jakub Wilk for the patch
  * add full-qt-imports.patch: (Closes: #671363)
    avoids choosing an incomplete qt version if a full one is available
  * use dh-linktree to link jquery-ui themes
  * debian/copyright: add missing copyright information for simplegeneric,
    mglob and decorators

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 17 May 2012 19:07:19 +0200

ipython (0.12.1+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #655413, #663256)
    Repackaged to remove minified javascript files from source.
  * add get-orig-source target to rules
  * ipython-notebook: depend on libjs-mathjax instead of recommending.
    mathjax can't be securely served from cloudfront.
  * debian/rules: delete build directory in clean (Closes: #671315)
  * remove transitional ipython-parallel package
  * set HOME to build folder for doc build and tests (Closes: #665224)
  * move all examples to ipython-doc
  * move python-argparse to suggests (Closes: #653650)
  * update standard version to 3.9.3, no changes needed
  * override lintian desktop-command-not-in-package
  * remove python-pymongo build dep, tests skipped without running mongod

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 05 May 2012 22:30:58 +0200
