## ipython 0.13.1

=== debian/changelog ===
ipython (0.13.1-2+deb7u1) wheezy; urgency=medium

  * Fix CVE-2014-3429: remote execution via cross origin websocket if one has
    knowledge of the kernel id

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 16 Jul 2014 20:27:50 +0200

ipython (0.13.1-2) unstable; urgency=low

  * update watch file to use github directly
    thanks to Bart Martens for the file
  * ipython-doc: break/replace ipython << 0.11-2 (Closes: #694280)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 25 Nov 2012 11:55:50 +0000

ipython (0.13.1-1) unstable; urgency=low

  * New upstream bugfix release
  * refresh patches, drop applied except-shadows-builtin-fix.patch
  * depend on libjs-jquery >= 1.7 (Closes: #685986)
  * drop build depends on dh-linktree and libjs-jquery-ui (Closes: #685985)
    - needs to be added again when we can use the packaged jquery-ui
  * drop LC_ALL=C.UTF-8 from build and install, not required anymore
  * override dh_python[23] to work around #683108
  * build depend on libc-bin (>= 2.13-1~) for C.UTF-8 locale used in tests

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 21 Oct 2012 10:37:05 +0200
