=== debian/watch ===
version=3
https://github.com/ipython/ipython/tags .*/rel-(.*).tar.gz
