## ipython 0.13.2

=== debian/changelog ===
ipython (0.13.2-2) unstable; urgency=low

  * upload to unstable
  * add missing comma to Depends of incomplete-install test
  * add python as python3 test dependency, needed for IPython.utils tests
  * drop unnecessary configobj dependency
  * sphinx1.2-compat.patch: fix doc build with sphinx 1.2 (Closes: #706531)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 05 May 2013 14:45:32 +0200

ipython (0.13.2-1) experimental; urgency=low

  * New upstream bugfix release
  * remove versions from test dependencies
    not supported by autopkgtest package
  * add python-lxml to tools test dependencies
  * drop dependencies of the tested packages from tests/control Depends

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 06 Apr 2013 10:30:19 +0200

ipython (0.13.2~rc2-1) experimental; urgency=low

  * New upstream release candidate (LP: #1161818, #1162112)
  * pass -a to xvfb-run
  * drop DM-Upload-Allowed, not needed anymore
  * don't link documentation of ipython-doc so ipython3 does not depend on
    ipython (Closes: #695554)
    Requires ipython-doc.preinst to not lose copyright on upgrade
  * add ipython3 and ipython3-qtconsole desktop files (Closes: #693612)
  * fix detection of cython modules for multiarch python (Closes: #697704)
  * don't install tests for notebook and qtconsole
  * bump standard to 3.9.4, no changes required
  * add autopkgtests running testsuite and testing tools, cython magics
    and incomplete install message
  * fix crash on tracebacks without line numbers (Closes: #701597)
  * add tkinter package to debianize-error-messages.patch (Closes: #701707)
  * use canonical vcs fields in control

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 02 Feb 2013 11:14:27 +0100
