=== debian/control ===
--- 
+++ 
@@ -8,13 +8,11 @@
                      libc-bin (>= 2.13-1~),
                      python-all (>= 2.6.6-3~),
                      python-argparse,
-                     python-configobj,
                      python-decorator,
                      python-matplotlib,
                      python-nose,
                      python-pexpect,
                      python-pygments,
-                     python-pyparsing,
                      python-qt4,
                      python-simplegeneric,
                      python-sphinx (>= 1.0.7+dfsg-1~),
@@ -29,15 +27,14 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: http://ipython.org/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/ipython/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/ipython/trunk/
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/ipython/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/ipython/trunk/
+Standards-Version: 3.9.4
+XS-Testsuite: autopkgtest
 
 Package: ipython
 Architecture: all
-Depends: python-configobj,
-         python-decorator,
+Depends: python-decorator,
          python-pexpect,
          python-simplegeneric,
          ${misc:Depends},
