=== debian/tests/control ===
Tests: python2
Depends: ipython, ipython-notebook, ipython-doc, ipython-qtconsole,
         python-nose,
         cython,
         python-all,
         python-all-dev,
         python-argparse,
         python-matplotlib,
         python-rpy2,
         python-qt4,
         python-tk,
         python-wxgtk2.8,
         xauth,
         xvfb

Tests: python3
Depends: ipython3, ipython3-notebook, ipython-doc, ipython3-qtconsole,
         python-minimal,
         python3-nose,
         cython3,
         python3-all,
         python3-all-dev,
         python3-matplotlib,
         python3-pyqt4,
         python3-tk,
         xauth,
         xvfb

Tests: cython-magic2
Depends: ipython, cython, python-dev, python-pexpect

Tests: cython-magic3
Depends: ipython3, cython3, python3-dev, python-pexpect

Tests: tools2
Depends: ipython, python-lxml

Tests: tools3
Depends: ipython3, python3-lxml

Tests: incomplete-install
Depends: ipython, ipython3
