=== IPython/nbconvert/templates/skeleton/Makefile ===


all: ../latex/skeleton/null.tplx ../latex/skeleton/display_priority.tplx

# convert jinja syntax to tex
# cf http://flask.pocoo.org/snippets/55/
../latex/skeleton/%.tplx: %.tpl
	@echo 'generating tex equivalent of $^: $@'
	@echo '((= autogenerated file do not edit =))' > $@
	@sed \
		-e 's/{%/((*/g' \
		-e 's/%}/*))/g' \
		-e 's/{{/(((/g' \
		-e 's/}}/)))/g' \
		-e 's/{#/((=/g' \
		-e 's/#}/=))/g' \
		-e "s/tpl'/tplx'/g" \
		$^ >> $@


clean:
	@echo "cleaning generated tplx files..."
	@rm ../latex/skeleton/*
