=== debian/changelog ===
ipython (1.2.1-2) unstable; urgency=medium

  * debianize-error-messages.patch: fix no zmq message to raise an exception
  * depend on build-essential instead of gcc for tests

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 25 Feb 2014 20:31:19 +0100

ipython (1.2.1-1) unstable; urgency=low

  * New upstream bugfix release
  * suggest pgf for nbconvert --to latex --post pdf
  * debianize parallel error messages for missing zmq (LP: #1190231)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 06 Feb 2014 01:45:52 +0100

ipython (1.2.0~rc1-1) unstable; urgency=low

  * New upstream release candidate
    fixes nbconvert html convert (Closes: #737067, #736560)
  * drop applied patches: python3.4-fixes.patch, test-fix.patch
  * add test-default-tk.patch to run tests with Debian's matplotlib default
  * update debianize-error-messages.patch:
     - fix %paste (Closes: #736175)
     - add pandoc package reference (Closes: #736566)
  * suggest pandoc in notebook for nbconvert subcommand
  * add required version of node-less and fonts-font-awesome to build depends

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 05 Feb 2014 19:07:18 +0100

ipython (1.1.0-1) unstable; urgency=low

  [ Julian Taylor ]
  * New upstream release
  * add build depends and patches required for the the notebook javascript
    build: node-less, node-uglify, libjs-highlight, fabric, fonts-font-awesome,
           dh-linktree
  * bump standard to 3.9.5, no changes required
  * skip autopkgtests on python3.4 as some tests have issues.

  [ Jakub Wilk ]
  * Fix a typo in README.source.

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 06 Jan 2014 16:45:14 +0100
