=== debian/control ===
--- 
+++ 
@@ -4,8 +4,16 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: debhelper (>= 7.3.13)
-Build-Depends-Indep: graphviz,
+Build-Depends-Indep: dh-linktree,
+                     fabric,
+                     fonts-font-awesome (>= 3.2.1),
+                     graphviz,
                      libc-bin (>= 2.13-1~),
+                     libjs-highlight,
+                     libjs-jquery-ui,
+                     libjs-marked,
+                     node-less (>= 1.3.1),
+                     node-uglify,
                      python-all (>= 2.6.6-3~),
                      python-argparse,
                      python-decorator,
@@ -19,7 +27,7 @@
                      python-tk,
                      python-tornado,
                      python-wxgtk2.8,
-                     python-zmq (>= 2.1.4),
+                     python-zmq (>= 2.1.11),
                      python3-all,
                      python3-setuptools,
                      xauth,
@@ -29,7 +37,7 @@
 Homepage: http://ipython.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/ipython/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/ipython/trunk/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 
 Package: ipython
@@ -46,7 +54,7 @@
           python-matplotlib,
           python-numpy,
           python-profiler,
-          python-zmq (>= 2.0.10.1)
+          python-zmq (>= 2.1.11)
 Description: enhanced interactive Python shell
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
@@ -68,7 +76,7 @@
          python3-simplegeneric,
          ${misc:Depends},
          ${python3:Depends}
-Suggests: ipython3-notebook, ipython3-qtconsole, python3-zmq (>= 2.0.10.1)
+Suggests: ipython3-notebook, ipython3-qtconsole, python3-zmq (>= 2.1.11)
 Description: enhanced interactive Python 3 shell
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
@@ -90,7 +98,7 @@
          python-qt4 | python-pyside.qtcore,
          python-qt4 | python-pyside.qtgui,
          python-qt4 | python-pyside.qtsvg,
-         python-zmq (>= 2.0.10.1),
+         python-zmq (>= 2.1.11),
          ${misc:Depends},
          ${python:Depends}
 Description: enhanced interactive Python shell - Qt console
@@ -113,7 +121,7 @@
          python3-pyqt4 | python3-pyside.qtcore,
          python3-pyqt4 | python3-pyside.qtgui,
          python3-pyqt4 | python3-pyside.qtsvg,
-         python3-zmq (>= 2.0.10.1),
+         python3-zmq (>= 2.1.11),
          ${misc:Depends},
          ${python3:Depends}
 Description: enhanced interactive Python 3 shell - Qt console
@@ -130,7 +138,14 @@
 
 Package: ipython-notebook-common
 Architecture: all
-Depends: libjs-jquery (>= 1.7), libjs-mathjax, ${misc:Depends}
+Depends: fonts-font-awesome,
+         libjs-highlight,
+         libjs-jquery (>= 1.7),
+         libjs-jquery-ui,
+         libjs-marked,
+         libjs-mathjax,
+         ${misc:Depends}
+Suggests: pandoc, pgf
 Replaces: ipython-notebook (<< 0.12.1-2)
 Breaks: ipython-notebook (<< 0.12.1-2)
 Description: interactive Python html notebook data package
@@ -149,8 +164,9 @@
 Architecture: all
 Depends: ipython (= ${binary:Version}),
          ipython-notebook-common (= ${binary:Version}),
+         python-jinja2,
          python-tornado (>= 2.1.0),
-         python-zmq (>= 2.1.4),
+         python-zmq (>= 2.1.11),
          ${misc:Depends},
          ${python:Depends}
 Description: interactive Python html notebook
@@ -170,8 +186,9 @@
 Architecture: all
 Depends: ipython-notebook-common (= ${binary:Version}),
          ipython3 (= ${binary:Version}),
+         python3-jinja2,
          python3-tornado (>= 2.1.0),
-         python3-zmq (>= 2.1.4),
+         python3-zmq (>= 2.1.11),
          ${misc:Depends},
          ${python3:Depends}
 Description: interactive Python 3 html notebook
