=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Tests: python2
 Depends: ipython, ipython-notebook, ipython-doc, ipython-qtconsole,
+         build-essential,
          python-nose,
          cython,
          python-all,
@@ -15,7 +16,8 @@
 
 Tests: python3
 Depends: ipython3, ipython3-notebook, ipython-doc, ipython3-qtconsole,
-         python-minimal,
+         build-essential,
+         python,
          python3-nose,
          cython3,
          python3-all,
@@ -23,6 +25,8 @@
          python3-matplotlib,
          python3-pyqt4,
          python3-tk,
+         texlive-latex-base,
+         dvipng,
          xauth,
          xvfb
 
@@ -33,10 +37,10 @@
 Depends: ipython3, cython3, python3-dev, python-pexpect
 
 Tests: tools2
-Depends: ipython, python-lxml
+Depends: ipython, python-lxml, python-zmq
 
 Tests: tools3
-Depends: ipython3, python3-lxml
+Depends: ipython3, python3-lxml, python3-zmq
 
 Tests: incomplete-install
 Depends: ipython, ipython3
