=== debian/watch ===
version=3
http://archive.ipython.org/release/([\d\.]+)/ ipython-([\d\.]+)\.tar\.gz
