## ipython 2.2.0

=== debian/changelog ===
ipython (2.2.0-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 17 Aug 2014 13:57:50 +0200

ipython (2.1.0-2) unstable; urgency=medium

  * debian/rules: allow building with uglifyjs 2
    Thanks to Leo Iannacone for the patch (Closes: #750715)
  * shared-static-path.patch: change marked.js search path to path used by
    ipython-notebook-common package, fixes nbconvert failures when using
    nodejs instead of pandoc
  * debian/control: add nodejs to suggests
    it is an alternative to pandoc for nbconvert to html (Closes: #751008)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 15 Jul 2014 22:33:25 +0200

ipython (2.1.0-1) unstable; urgency=low

  * New upstream release
    - removes irunner, iplogger and pycolor binaries
  * drop obsolete patches:
    - 05_fix_seteditor_example.patch
    - parallel-2to3.patch
    - test-default-tk.patch
  * renamed packaged-lessc.patch to packaged-js.patch
  * added split-pkg.patch to handle split notebook package
  * use-ipython-icon-in-desktop-files.patch now applied in debian/rules
  * added lintian overrides for not used minified javascript files

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 03 May 2014 14:24:25 +0200
