=== debian/control ===
--- 
+++ 
@@ -12,28 +12,30 @@
                      libjs-highlight,
                      libjs-jquery-ui,
                      libjs-marked,
+                     libjs-underscore,
                      node-less (>= 1.3.1),
                      node-uglify,
                      python-all (>= 2.6.6-3~),
-                     python-argparse,
                      python-decorator,
                      python-matplotlib,
+                     python-mock,
                      python-nose,
+                     python-numpydoc,
                      python-pexpect,
                      python-pygments,
                      python-qt4,
                      python-simplegeneric,
                      python-sphinx (>= 1.0.7+dfsg-1~),
                      python-tk,
-                     python-tornado,
+                     python-tornado (>= 3.1.0),
                      python-wxgtk2.8,
                      python-zmq (>= 2.1.11),
                      python3-all,
                      python3-setuptools,
                      xauth,
                      xvfb
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
 Homepage: http://ipython.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/ipython/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/ipython/trunk/
@@ -50,7 +52,6 @@
 Suggests: ipython-doc,
           ipython-notebook,
           ipython-qtconsole,
-          python-argparse,
           python-matplotlib,
           python-numpy,
           python-profiler,
@@ -144,8 +145,9 @@
          libjs-jquery-ui,
          libjs-marked,
          libjs-mathjax,
+         libjs-underscore,
          ${misc:Depends}
-Suggests: pandoc, pgf
+Suggests: nodejs, pandoc, pgf
 Replaces: ipython-notebook (<< 0.12.1-2)
 Breaks: ipython-notebook (<< 0.12.1-2)
 Description: interactive Python html notebook data package
@@ -165,10 +167,11 @@
 Depends: ipython (= ${binary:Version}),
          ipython-notebook-common (= ${binary:Version}),
          python-jinja2,
-         python-tornado (>= 2.1.0),
+         python-tornado (>= 3.1.0),
          python-zmq (>= 2.1.11),
          ${misc:Depends},
          ${python:Depends}
+Suggests: python-pygments
 Description: interactive Python html notebook
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
@@ -187,10 +190,11 @@
 Depends: ipython-notebook-common (= ${binary:Version}),
          ipython3 (= ${binary:Version}),
          python3-jinja2,
-         python3-tornado (>= 2.1.0),
+         python3-tornado (>= 3.1.0),
          python3-zmq (>= 2.1.11),
          ${misc:Depends},
          ${python3:Depends}
+Suggests: python3-pygments
 Description: interactive Python 3 html notebook
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
