=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# TODO fix tests when python-rpy2 is installed
 Tests: python2
 Depends: ipython, ipython-notebook, ipython-doc, ipython-qtconsole,
          build-essential,
@@ -7,7 +8,7 @@
          python-all-dev,
          python-argparse,
          python-matplotlib,
-         python-rpy2,
+         python-mock,
          python-qt4,
          python-tk,
          python-wxgtk2.8,
@@ -23,6 +24,7 @@
          python3-all,
          python3-all-dev,
          python3-matplotlib,
+         python3-mock,
          python3-pyqt4,
          python3-tk,
          texlive-latex-base,
@@ -44,3 +46,15 @@
 
 Tests: incomplete-install
 Depends: ipython, ipython3
+
+Tests: nbconvert2-node
+Depends: ipython-notebook, nodejs, python-pygments
+
+Tests: nbconvert2-pandoc
+Depends: ipython-notebook, pandoc, python-pygments
+
+Tests: nbconvert3-node
+Depends: ipython3-notebook, nodejs, python3-pygments
+
+Tests: nbconvert3-pandoc
+Depends: ipython3-notebook, pandoc, python3-pygments
