## ipython 2.3.0

=== debian/changelog ===
ipython (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Add pygments2.0_compatibility.patch (taken from Carlos Cordoba's pull
    request. Closes: #768705)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 09 Nov 2014 23:33:24 +0100

ipython (2.3.0-1) unstable; urgency=medium

  * New upstream bugfix release
  * drop wx build dependency, not needed for tests anymore (Closes: #760691)
  * bump standard to 3.9.6, no changes required
  * refresh paths in debian/copyright and adapt to some removed files

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 20 Sep 2014 13:54:57 +0200
