=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
                      python-sphinx (>= 1.0.7+dfsg-1~),
                      python-tk,
                      python-tornado (>= 3.1.0),
-                     python-wxgtk2.8,
                      python-zmq (>= 2.1.11),
                      python3-all,
                      python3-setuptools,
@@ -39,7 +38,7 @@
 Homepage: http://ipython.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/ipython/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/ipython/trunk/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 
 Package: ipython
