=== debian/tests/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
          python-mock,
          python-qt4,
          python-tk,
-         python-wxgtk2.8,
          xauth,
          xvfb
